Subject: RE: [rohc] WGLC comments to torture-tests and user-guide

From: "Surtees, Abigail" <[email-masked]>
Date: Fri, 2 Sep 2005 16:03:30 +0100

Hi Cristian, Pekka,

That's great.  I've addressed the comments to the drafts and put new
versions at
<http://sigcomp.srmr.co.uk/~ahs/draft-ietf-rohc-sigcomp-torture-tests-02
.txt> and
<http://sigcomp.srmr.co.uk/~ahs/draft-ietf-rohc-sigcomp-user-guide-03.tx
t>.

All final comments appreciated.  I'm away next week but will answer any
comments on my return and hope to be able to resubmit the drafts soon
after.

In particular:

In the user guide the text I've added following the conclusion of the
readonly discussion is:

"The directive "readonly (n)" where n is 0 or 1 can be used to
   indicate that an area of memory could be changed (0) or will not be
   changed (1) during the execution of the UDVM.  This directive could
   be used, for example, in conjunction with "!" to ensure that the
   address of the zero used will still contain zero when the bytecode is
   executed.  If no readonly directive is used, then any address
   containing zero can be used by "!" (i.e. by default there is assumed
   to be readonly(1) directive at address 0) and it is up to the author
   of the assembly code to ensure that the address in question will
   still contain zero when the bytecode is executed.  If the readonly
   directive is used, then bytes between a readonly (0) and readonly (1)
   pair are NOT to be used by "!".  When a readonly directive has been
   used, the bytes obey that directive from that address to either
   another readonly directive or the end of UDVM memory, whichever comes
   first."

Other changes as agreed are:
addition of SMS, DMS, CPB required for the algorithms given
rewording of first paragraph of 5.1 (to remove reference to TCP),
remove note about actual size of the buffer from 4.1.1,
clarify in 3.2.2 that different parsers can generate different bytecode,
addition of unknown directive,
typos

In the torture tests changes as agreed are:
removal of ! from the tests - NB the bytecode given in the appendix has
changed for Arithmetic,
MULTILOAD, CRC, State creation, State Access, Useful values, Input past
the end of message, Feedback mechanism, State memory management,
Multiple compartments, Bytecode state creation tests
addition of NACK style reason code for decompression failure in
appendix,
addition of SMS, DMS, CPB required for the tests,
changed SHA-1 test so that it runs in 16cpb (to unify with other tests)
added termination point for Cycles checking test when cpb = 32,
clarified commented code in State access test,
fixed typos

If I've missed anything, please let me know.

Best regards,

Abbie

> -----Original Message-----
> From: Cristian CONSTANTIN [mailto:[email-masked]] 
> Sent: Tuesday, August 30, 2005 11:32 AM
> To: Surtees, Abigail
> Cc: Pekka Pessi; West, Mark; [email-masked]
> Subject: Re: [rohc] WGLC comments to torture-tests and user-guide
> 
> 
> On Thu, Aug 25, 2005 at 04:27:42PM +0100, Surtees, Abigail wrote:
> > Hi Pekka, Cristian, all,
> > 
> > It would be really good if we could reach consensus on 
> this, so that I
> > can update and re-issue the draft.  Please see Mark's email 
> below and
> > also from my original numbering scheme:
> > 
> > 1) there are no heuristics, use of '!' is explicit.  It is a simple
> > solution which makes it particularly useful for anyone 
> arriving new to
> > the concept of translating mnemonic code, but means that 
> those of us who
> > already have translators will have to update them.
> > 
> > 2) there are explicit heuristics.  We've currently all 
> implemented our
> > own heuristics, so reaching a consensus on what the 
> heuristics should be
> > is likely to take quite a while.  It also adds complexity 
> to what is, at
> > the end of the day, an informational document.
> > 
> > 3) there is a statement that when you use '!' you have to 
> be careful and
> > that if you want to use anything other than heuristics, 
> readonly() is a
> > way to do it.  We can all carry on using our existing heuristics and
> > insert readonly() if we want.
> > 
> > In my humble opinion:
> > 	1) is the simplest in terms of rigorous specification, hence I
> > like it; 
> 
> cristian: the most radical solution. the problem is that all the
> examples using ! have to be changed, tested, blah, blah...
> 
> > 	2) will require more effort to specify it than I think it is
> > worth; 
> 
> cristian: as I have said, IMHO specifing heuristics is too much for an
> rfc. most of the rfc I have read do not go into such details. 
> I would not do it.
> 
> > 	3) is not quite as intellectually satisfying as 1) but is a
> > simple way to specify use of readonly().
> 
> cristian: it is a compromise which seems to be in this case also the
> best solution.
> 
> so, I'd choose 3.
> 
> cristian
> bye now!
> -- 
>  _          | There are many people who use UNIX or Linux  
> (_'_        | who IMHO do not understand UNIX.
>   (_'rist   |              --David Korn  
> GPG public key at wwwkeys.de.pgp.net
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc